Public Member Functions
com.ugrokit.api.UgiFirmwareUpdateInfo Class Reference

## Overview

A UgiFirmwareUpdateInfo object contains information about a single firmware update available via an update channel.

## Public Member Functions
String | getName ()
| The name of the update. More...
String | getHfName ()
| The name of the HF update. More...
int | getProtocol ()
| The protocol of the update. More...
String | getNotes ()
| Notes for the update. More...
Ugi.CompatibilityValues | getCompatibilityValue ()
| The compatibility of the update. More...
int | getSoftwareVersionMajor ()
| The software version of the update (major) More...
int | getSoftwareVersionMinor ()
| The software version of the update (minor) More...
int | getSoftwareVersionBuild ()
| The software version of the update (build) More...
Date | getSofwareVersionDate ()
| The date of the update. More...
int | getHfVersionMajor ()
| The software version of the HF update (major) More...
int | getHfVersionMinor ()
| The software version of the HF update (minor) More...
int | getHfVersionBuild ()
| The software version of the HF update (build) More...
Date | getHfVersionDate ()
| The date of the update. More...
boolean | hasReaderSerialNumbers ()
| See if the update has serial numbers. More...
String | toString ()
| Get a description of the tag, generally for debugging. More...

## Member Function Documentation

## ◆ getName()

String com.ugrokit.api.UgiFirmwareUpdateInfo.getName | ( |  | ) |

The name of the update.

Returns
  Name

## ◆ getHfName()

String com.ugrokit.api.UgiFirmwareUpdateInfo.getHfName | ( |  | ) |

The name of the HF update.

Returns
  Name

## ◆ getProtocol()

int com.ugrokit.api.UgiFirmwareUpdateInfo.getProtocol | ( |  | ) |

The protocol of the update.

Returns
  Protocol

## ◆ getNotes()

String com.ugrokit.api.UgiFirmwareUpdateInfo.getNotes | ( |  | ) |

Notes for the update.

Returns
  Notes

## ◆ getCompatibilityValue()

Ugi.CompatibilityValues com.ugrokit.api.UgiFirmwareUpdateInfo.getCompatibilityValue | ( |  | ) |

The compatibility of the update.

Returns
  Compatibility

## ◆ getSoftwareVersionMajor()

int com.ugrokit.api.UgiFirmwareUpdateInfo.getSoftwareVersionMajor | ( |  | ) |

The software version of the update (major)

Returns
  Software version (major)

## ◆ getSoftwareVersionMinor()

int com.ugrokit.api.UgiFirmwareUpdateInfo.getSoftwareVersionMinor | ( |  | ) |

The software version of the update (minor)

Returns
  Software version (minor)

## ◆ getSoftwareVersionBuild()

int com.ugrokit.api.UgiFirmwareUpdateInfo.getSoftwareVersionBuild | ( |  | ) |

The software version of the update (build)

Returns
  Software version (build)

## ◆ getSofwareVersionDate()

Date com.ugrokit.api.UgiFirmwareUpdateInfo.getSofwareVersionDate | ( |  | ) |

The date of the update.

Returns
  Date

## ◆ getHfVersionMajor()

int com.ugrokit.api.UgiFirmwareUpdateInfo.getHfVersionMajor | ( |  | ) |

The software version of the HF update (major)

Returns
  HF version (major)

## ◆ getHfVersionMinor()

int com.ugrokit.api.UgiFirmwareUpdateInfo.getHfVersionMinor | ( |  | ) |

The software version of the HF update (minor)

Returns
  HF version (minor)

## ◆ getHfVersionBuild()

int com.ugrokit.api.UgiFirmwareUpdateInfo.getHfVersionBuild | ( |  | ) |

The software version of the HF update (build)

Returns
  HF version (build)

## ◆ getHfVersionDate()

Date com.ugrokit.api.UgiFirmwareUpdateInfo.getHfVersionDate | ( |  | ) |

The date of the update.

Returns
  HF Date

## ◆ hasReaderSerialNumbers()

boolean com.ugrokit.api.UgiFirmwareUpdateInfo.hasReaderSerialNumbers | ( |  | ) |

See if the update has serial numbers.

Returns
  true if the update has serial numbers

## ◆ toString()

String com.ugrokit.api.UgiFirmwareUpdateInfo.toString | ( |  | ) |

Get a description of the tag, generally for debugging.

Returns
  string describing the object